<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri May 27 03:09:52 CEST 2022 -->
<title>Uses of Class GamePiece</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-05-27">
<meta name="description" content="use: class: GamePiece">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../GamePiece.html" title="class in Unnamed Package">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class GamePiece" class="title">Uses of Class<br>GamePiece</h1>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="unnamed-package">
<h2>Uses of <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a> in <a href="../package-summary.html">Unnamed Package</a></h2>
<div class="caption"><span>Fields in <a href="../package-summary.html">Unnamed Package</a> declared as <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#board" class="member-name-link">board</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code><a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#characters" class="member-name-link">characters</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code><a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#list" class="member-name-link">list</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code><a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#loadedPieces" class="member-name-link">loadedPieces</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
<div class="caption"><span>Methods in <a href="../package-summary.html">Unnamed Package</a> that return <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#getPiece(int,int)" class="member-name-link">getPiece</a><wbr>(int&nbsp;x,
 int&nbsp;y)</code></div>
<div class="col-last even-row-color">
<div class="block">retourne la pièce aux coordonnées</div>
</div>
<div class="col-first odd-row-color"><code><a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#markPiece(int,int)" class="member-name-link">markPiece</a><wbr>(int&nbsp;x,
 int&nbsp;y)</code></div>
<div class="col-last odd-row-color">
<div class="block">définit la pièce marqué comme étant celui aux coordonnées passées et le retourne</div>
</div>
</div>
<div class="caption"><span>Methods in <a href="../package-summary.html">Unnamed Package</a> with parameters of type <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">GamePiece.</span><code><a href="../GamePiece.html#deselect(GamePiece,GamePiece%5B%5D,Game,GamePiece%5B%5D)" class="member-name-link">deselect</a><wbr>(<a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="../Game.html" title="class in Unnamed Package">Game</a>&nbsp;game,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last even-row-color">
<div class="block">désélectionne la pièce de l'importation si elle a déjà été sélectionnée sur l'écran "sélectionner l'équipe".</div>
</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#importPieces(GamePiece%5B%5D)" class="member-name-link">importPieces</a><wbr>(<a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last odd-row-color">
<div class="block">importer les pièces choisies</div>
</div>
<div class="col-first even-row-color"><code>boolean</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#isValidAttack(GamePiece,GamePiece)" class="member-name-link">isValidAttack</a><wbr>(<a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece1,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece2)</code></div>
<div class="col-last even-row-color">
<div class="block">returns true if the two passed pieces are different colors, false if they are the same color</div>
</div>
<div class="col-first odd-row-color"><code>boolean</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#isValidMove(int,int,GamePiece)" class="member-name-link">isValidMove</a><wbr>(int&nbsp;x,
 int&nbsp;y,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece)</code></div>
<div class="col-last odd-row-color">
<div class="block">returns true if the x,y location is a valid move for the given piece considering the spot is empty already</div>
</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#loadGame(GamePiece%5B%5D)" class="member-name-link">loadGame</a><wbr>(<a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last even-row-color">
<div class="block">lance la partie sauvegardée</div>
</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">GamePiece.</span><code><a href="../GamePiece.html#reImport(GamePiece,GamePiece%5B%5D,GamePiece%5B%5D)" class="member-name-link">reImport</a><wbr>(<a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last odd-row-color">
<div class="block">réimporter les pièces après que de nouvelles ont été sélectionnées ou désélectionnées</div>
</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#select(int,int,GamePiece%5B%5D)" class="member-name-link">select</a><wbr>(int&nbsp;i,
 int&nbsp;j,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters)</code></div>
<div class="col-last even-row-color">
<div class="block">cette méthode met ou non une piéce dans la partie</div>
</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">GamePiece.</span><code><a href="../GamePiece.html#select(GamePiece,GamePiece%5B%5D,Game,GamePiece%5B%5D)" class="member-name-link">select</a><wbr>(<a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters,
 <a href="../Game.html" title="class in Unnamed Package">Game</a>&nbsp;game,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last odd-row-color">
<div class="block">sélectionne la pièce pour l'importation si elle a été désélectionnée dans l'écran "sélectionner l'équipe".</div>
</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Game.</span><code><a href="../Game.html#updateMoves(int,int,GamePiece,int)" class="member-name-link">updateMoves</a><wbr>(int&nbsp;x,
 int&nbsp;y,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 int&nbsp;type)</code></div>
<div class="col-last even-row-color">
<div class="block">mouvement des pieces</div>
</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">GamePiece.</span><code><a href="../GamePiece.html#writeSelection(GamePiece,GamePiece%5B%5D)" class="member-name-link">writeSelection</a><wbr>(<a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 <a href="../GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters)</code></div>
<div class="col-last odd-row-color">
<div class="block">écrit les morceaux sélectionnés dans un fichier</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
